<?php

namespace App\Modules\LeadBookingServicePassenger\Domain;

use App\Modules\LeadBookingService\Domain\IdLeadBookingService;
use App\Modules\LeadBookingTourPassenger\Domain\IdLeadBookingTourPassenger;

class LeadBookingServicePassenger
{

    /** constructor */
    public function __construct(
        private LeadBookingServicePassengerStatus $status,
        private IdLeadBookingService $idLeadBookingService,
        private IdLeadBookingTourPassenger $idLeadBookingTourPassenger,
        private ?IdLeadBookingServicePassenger $id = null
    ) {
    }
    public function getStatus(): LeadBookingServicePassengerStatus
    {
        return $this->status;
    }
    public function getIdLeadBookingService(): IdLeadBookingService
    {
        return $this->idLeadBookingService;
    }
    public function getIdLeadBookingTourPassenger(): IdLeadBookingTourPassenger
    {
        return $this->idLeadBookingTourPassenger;
    }
    public function getId(): IdLeadBookingServicePassenger
    {
        return $this->id;
    }
}
